SciQLOP - Task #1359

User story # 1180 (In Progress): Initialisation du projet
Intégration continue (TeamCity)
12/05/2017 10:32 AM - Anonymous

Status: Closed Start date:

Priority: Low Due date:

Assignee: Alexis Jeandet % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

L'intégration continue du projet est configurée depuis la plateforme TeamCity (REDEFINIR LES SYSTEMES)

e il faut que les étapes de l'intégration continue soit effective sur team city au niveau journalier: ** Compilation (plateforme unique
au choix pour le moment) ** cppcheck ** clanganalyser ** clazy (si possible) ** exécution des test unitaires ** génération de la
doc (si possible) ** génération du setup

History

#1 - 12/05/2017 10:32 AM - Anonymous
- Story points changed from 1 to 5

#2 - 12/05/2017 11:16 AM - Anonymous

- Priority changed from Normal to Low

#3 - 12/05/2017 04:33 PM - Alexis Jeandet
- Status changed from New to In Progress

- Assignee set to Alexis Jeandet

#4 - 12/05/2017 04:40 PM - Alexis Jeandet

L'ouverture de la machine est prévue, un premier audit préliminaire a été fait.
Deux licences pour des agents supplémentaires sont commandées .
Le mac mini devrait arriver Lundi.

Il reste a:
coté serveur:

passer le serveur en https

migrer la base de données

traiter toutes les points du premier audit
passer le second audit

coté SciQLop:

¢ terminer la conf de Cmake
e créer le projet dans teamcity et le configurer

#5 - 15/05/2017 11:39 AM - Anonymous
- Story points changed from 5 to 2

#6 - 30/05/2017 02:19 PM - Anonymous

- Status changed from In Progress to Closed

#7 - 08/06/2017 08:37 PM - adminlpp adminlpp

- Tracker changed from User story to Task
- % Done setto 0
- revision set to r0

- blocked set to No
